--[[
VPLanguage = lua
VPScriptMenuTitle = Go to Previous Day
VPShortcutKey = -
VPShortcutMask = shift control
VPEndConfig
--]]

-- set dateFormat to match your journal/log page names
dateFormat = "%Y-%m-%d"

totalPageCount  = 0
totalWordCount  = 0
counter = 0

for pageKey in objc.values(document:keys()) do
    if (document:pageForKey(pageKey):type() == VPPageType) then
        totalPageCount = totalPageCount + 1
    end
end

document = windowController:document()
page = windowController:item()
title = page:displayName()
year,month,day = string.match(title,'(%d%d%d%d)-(%d%d)-(%d%d)')

function daybefore(thedate)
  counter = counter + 1
  yesterday = thedate - (24 * 60 * 60)
	newDate = os.date(dateFormat, yesterday)
	if document:pageForKey(newDate) ~= nil then
	  document:openPageWithTitle(newDate)
	else
		if counter < totalPageCount then
			daybefore(yesterday)
		end
	end
end

if year ~= nil then
	daybefore(os.time{year=year, month=month, day=day})
end